Bug 681875 - RFE: Allow configuring udisks to enforce "noexec" on mounts by users
Summary: RFE: Allow configuring udisks to enforce "noexec" on mounts by users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: udisks
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tomas Smetana
QA Contact: Desktop QE
Jacquelynn East
URL:
Whiteboard:
Depends On:
Blocks: 782183
TreeView+ depends on / blocked
 
Reported: 2011-03-03 13:57 UTC by Miloslav Trmač
Modified: 2018-12-03 17:16 UTC (History)
9 users (show)

Fixed In Version: udisks-1.0.1-8.el6
Doc Type: Enhancement
Doc Text:
udisks supports noexec global option The "udisks" tool now accepts the "noexec" global option to be enforced on all unprivileged users' mount points. On desktop systems, the "noexec" option can protect users from mistakenly running certain applications.
Clone Of:
: 1150596 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:47:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1336 normal SHIPPED_LIVE udisks bug fix and enhancement update 2015-07-20 18:00:07 UTC

Description Miloslav Trmač 2011-03-03 13:57:06 UTC
Please implement a system-wide option that could enforce using the "noexec" option on all mounts by unprivileged users.

On desktop systems, the "noexec" option can protect users against mistakenly running applications.

On high-security systems, system policy may forbid running binaries that were not installed by the system administrator, and such policies are required by some industry standards.  On systems with such policies, /tmp and /home may be also mounted "noexec", or an auditing mechanism can be used to watch violations of this policy; the ability of an user to mount an external volume that contains executables would bypass these measures.

Currently the only option seems to be configuring PolicyKit to completely forbid mounting of removable media by unprivileged users, which results in a significant loss of functionality.

Comment 2 RHEL Product and Program Management 2011-03-03 14:18:02 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 9 RHEL Product and Program Management 2011-07-06 01:16:43 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 12 Suzanne Yeghiayan 2012-01-31 21:17:08 UTC
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.

Comment 16 RHEL Product and Program Management 2013-10-14 01:09:13 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 25 errata-xmlrpc 2015-07-22 06:47:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1336.html


Note You need to log in before you can comment on or make changes to this bug.